summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorJulian Ospald <hasufell@gentoo.org>2012-11-29 17:56:39 +0000
committerJulian Ospald <hasufell@gentoo.org>2012-11-29 17:56:39 +0000
commit2015b358cd08b3f78d8b4d060e92adda212dd3f4 (patch)
tree5cb945db27973bfdfaf5af404757fbccce40e6f6 /eclass
parenttests set to restrict consequent to persistently accessing the internet, down... (diff)
downloadgentoo-2-2015b358cd08b3f78d8b4d060e92adda212dd3f4.tar.gz
gentoo-2-2015b358cd08b3f78d8b4d060e92adda212dd3f4.tar.bz2
gentoo-2-2015b358cd08b3f78d8b4d060e92adda212dd3f4.zip
add verbosity to waf-utils.eclass wrt #444562
Diffstat (limited to 'eclass')
-rw-r--r--eclass/ChangeLog5
-rw-r--r--eclass/waf-utils.eclass14
2 files changed, 15 insertions, 4 deletions
diff --git a/eclass/ChangeLog b/eclass/ChangeLog
index 332ba205e00c..82bea19bc0f2 100644
--- a/eclass/ChangeLog
+++ b/eclass/ChangeLog
@@ -1,6 +1,9 @@
# ChangeLog for eclass directory
# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.528 2012/11/28 13:03:30 jlec Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.529 2012/11/29 17:56:39 hasufell Exp $
+
+ 29 Nov 2012; Julian Ospald <hasufell@gentoo.org> waf-utils.eclass:
+ add verbosity to waf-utils.eclass wrt #444562
28 Nov 2012; Justin Lecher <jlec@gentoo.org> fortran-2.eclass:
* Reduce potential clash of function names in global scope
diff --git a/eclass/waf-utils.eclass b/eclass/waf-utils.eclass
index 2c4ef2055cf1..9048c45ac95a 100644
--- a/eclass/waf-utils.eclass
+++ b/eclass/waf-utils.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/waf-utils.eclass,v 1.14 2012/09/27 16:35:42 axs Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/waf-utils.eclass,v 1.15 2012/11/29 17:56:39 hasufell Exp $
# @ECLASS: waf-utils.eclass
# @MAINTAINER:
@@ -29,6 +29,12 @@ DEPEND="${DEPEND}
dev-lang/python
!dev-lang/python[-threads]"
+# @ECLASS-VARIABLE: WAF_VERBOSE
+# @DESCRIPTION:
+# Set to OFF to disable verbose messages during compilation
+# this is _not_ meant to be set in ebuilds
+: ${WAF_VERBOSE:=ON}
+
# @FUNCTION: waf-utils_src_configure
# @DESCRIPTION:
# General function for configuring with waf.
@@ -55,10 +61,12 @@ waf-utils_src_configure() {
# General function for compiling with waf.
waf-utils_src_compile() {
debug-print-function ${FUNCNAME} "$@"
+ local _mywafconfig
+ [[ "${WAF_VERBOSE}" ]] && _mywafconfig="--verbose"
local jobs="--jobs=$(makeopts_jobs)"
- echo "\"${WAF_BINARY}\" build ${jobs}"
- "${WAF_BINARY}" ${jobs} || die "build failed"
+ echo "\"${WAF_BINARY}\" build ${_mywafconfig} ${jobs}"
+ "${WAF_BINARY}" ${_mywafconfig} ${jobs} || die "build failed"
}
# @FUNCTION: waf-utils_src_install